﻿# pnm-bild-erstellen.py

# Ein pnm - Bild wird als Textdatei gespeichert.
# Der Header enthält einmal als Typangabe P3 für Farbbilder (P1: s/w P2: Grau),
# einen Kommentar, der mit dem Kommentarzeichen eingeleitet wird,
# die Angabe von Breite und Höhe in Pixeln,
# und eine Angabe der maximalen Farbtiefe.
# Alles wird jeweils in eine neue Zeile geschrieben.

def header(kommentar = 'Kommentar', breite = 100, hoehe = 100):
    return 'P3\n'+'#'+kommentar+'\n'+str(breite)+' '+str(hoehe)+'\n'+str(255)+'\n'

# Die Bilddaten bestehen aus 3-er-Gruppen von Zahlen 0<= zahl <256,
# jede wieder in einer eigenen Zeile

def bilddaten():
    daten=''
    for i in range (100):
        for j in range (100):
            # r-Wert:
            daten+=str(abs(i-j)%256)+'\n'
            # g-Wert:
            daten+=str((i+j)%256)+'\n'
            # b-Wert:
            daten+=str((i*j)%64)+'\n'
    return daten

def bild():
    return header('Test1')+bilddaten()

meinBild=bild()
f = open('python-test-bild.pnm', 'w')
f.write(meinBild)
f.close()
